﻿using System;

using Android.App;
using Android.Content.PM;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using Android.OS;
using Xamarin.Forms;
using Syncfusion.SfChart.XForms;
using System.Collections.Generic;
using Syncfusion.SfChart.XForms.Droid;
using Native = Com.Syncfusion.Charts;

[assembly: Dependency(typeof(LiveChartSample.Droid.ChartAxisDependencyService))]
namespace LiveChartSample.Droid
{
    [Activity(Label = "LiveChartSample", Icon = "@drawable/icon", MainLauncher = true, ConfigurationChanges = ConfigChanges.ScreenSize | ConfigChanges.Orientation)]
    public class MainActivity : global::Xamarin.Forms.Platform.Android.FormsApplicationActivity
    {
        protected override void OnCreate(Bundle bundle)
        {
            base.OnCreate(bundle);

            global::Xamarin.Forms.Forms.Init(this, bundle);
            LoadApplication(new App());
        }
    }

	internal class ChartAxisDependencyService : IAxisDependencyService
	{
		public List<double> GetVisibleRange(NumericalAxis axis)
		{
			Native.NumericalAxis nativeAxis = SfChartRenderer.GetNativeObject(typeof(NumericalAxis), axis) as Native.NumericalAxis;
			List<double> visibleValues = new List<double>();
			if (nativeAxis != null)
			{
				visibleValues.Add(nativeAxis.VisibleRange.Start);
				visibleValues.Add(nativeAxis.VisibleRange.End);
			}
			return visibleValues;
		}
	}
}

