﻿using System;
using System.Collections.Generic;
using System.Linq;

using Foundation;
using Syncfusion.SfChart.iOS;
using Syncfusion.SfChart.XForms;
using Syncfusion.SfChart.XForms.iOS.Renderers;
using UIKit;
using Xamarin.Forms;

[assembly: Dependency(typeof(LiveChartSample.iOS.ChartAxisDependencyService))]
namespace LiveChartSample.iOS
{
    // The UIApplicationDelegate for the application. This class is responsible for launching the 
    // User Interface of the application, as well as listening (and optionally responding) to 
    // application events from iOS.
    [Register("AppDelegate")]
    public partial class AppDelegate : global::Xamarin.Forms.Platform.iOS.FormsApplicationDelegate
    {
        //
        // This method is invoked when the application has loaded and is ready to run. In this 
        // method you should instantiate the window, load the UI into it and then make the window
        // visible.
        //
        // You have 17 seconds to return from this method, or iOS will terminate your application.
        //
        public override bool FinishedLaunching(UIApplication app, NSDictionary options)
        {
            global::Xamarin.Forms.Forms.Init();
            LoadApplication(new App());
			SfChartRenderer.Init();
            return base.FinishedLaunching(app, options);
        }
    }

	internal class ChartAxisDependencyService : IAxisDependencyService
	{
		public List<double> GetVisibleRange(NumericalAxis axis)
		{
			SFNumericalAxis nativeAxis = SfChartRenderer.GetNativeObject(typeof(NumericalAxis), axis) as SFNumericalAxis;
			List<double> visibleValues = new List<double>();
			if (nativeAxis != null)
			{
				visibleValues.Add(nativeAxis.VisibleRange.Start);
				visibleValues.Add(nativeAxis.VisibleRange.End);
			}
			return visibleValues;
		}
	}
}
